Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
problem1.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | my_ffi_struct

## Typedefs
typedef struct my_ffi_struct | my_ffi_struct

## Functions
my_ffi_struct | callee (struct my_ffi_struct a1, struct my_ffi_struct a2)
void | stub (ffi_cif *cif __UNUSED__, void *resp, void **args, void *userdata __UNUSED__)
int | main (void)

## Typedef Documentation

## ◆ my_ffi_struct

typedef struct my_ffi_struct my_ffi_struct

## Function Documentation

## ◆ callee()

my_ffi_struct callee | ( | struct my_ffi_struct | a1,
|  | struct my_ffi_struct | a2
| ) |  |

Definition at line 16 of file problem1.c.

Referenced by main(), and stub().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 43 of file problem1.c.

References my_ffi_struct::a, my_ffi_struct::b, my_ffi_struct::c, callee(), CHECK, exit(), f, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), NULL, printf(), and stub().

## ◆ stub()

void stub | ( | ffi_cif *cif | __UNUSED__,
|  | void * | resp,
|  | void ** | args,
|  | void *userdata | __UNUSED__
| ) |  |

Definition at line 30 of file problem1.c.

References callee().

Referenced by main().